from PIL import Image
import imagehash
import sys

def compute_hash(image_path):
    image = Image.open(image_path)
    hash_value = imagehash.phash(image)
    return str(hash_value)

if __name__ == "__main__":
    image_path = sys.argv[1]
    print(compute_hash(image_path))